aboutsummaryrefslogtreecommitdiff
path: root/test/setup.sh
diff options
context:
space:
mode:
authorTad Fisher <tad@simple.com>2017-03-16 14:43:05 -0700
committerTad Fisher <tad@simple.com>2017-03-16 14:43:05 -0700
commit0892ebdc59c5eb080d616b2abea57913d70f84f9 (patch)
treea9cce0bf4b794d9bbec9b28421305ef5d8a396d9 /test/setup.sh
parentb13ce53fc100b9c18494786deff934cb56ff1535 (diff)
Add test harness and basic insert test
Diffstat (limited to 'test/setup.sh')
-rw-r--r--test/setup.sh66
1 files changed, 66 insertions, 0 deletions
diff --git a/test/setup.sh b/test/setup.sh
new file mode 100644
index 0000000..db8780d
--- /dev/null
+++ b/test/setup.sh
@@ -0,0 +1,66 @@
+# This file should be sourced by all test-scripts
+#
+# This scripts sets the following:
+# $PASS Full path to password-store script to test
+# $GPG Name of gpg executable
+# $KEY{1..5} GPG key ids of testing keys
+# $TEST_HOME This folder
+
+
+# Unset config vars
+unset PASSWORD_STORE_DIR
+unset PASSWORD_STORE_KEY
+unset PASSWORD_STORE_GIT
+unset PASSWORD_STORE_GPG_OPTS
+unset PASSWORD_STORE_X_SELECTION
+unset PASSWORD_STORE_CLIP_TIME
+unset PASSWORD_STORE_UMASK
+unset PASSWORD_STORE_GENERATED_LENGTH
+unset PASSWORD_STORE_CHARACTER_SET
+unset PASSWORD_STORE_CHARACTER_SET_NO_SYMBOLS
+unset PASSWORD_STORE_ENABLE_EXTENSIONS
+unset PASSWORD_STORE_EXTENSIONS_DIR
+unset PASSWORD_STORE_SIGNING_KEY
+unset EDITOR
+
+# We must be called from test/
+TEST_HOME="$(pwd)"
+
+. ./sharness.sh
+
+export PASSWORD_STORE_ENABLE_EXTENSIONS=true
+export PASSWORD_STORE_EXTENSIONS_DIR="../"
+
+export PASSWORD_STORE_DIR="$SHARNESS_TRASH_DIRECTORY/test-store"
+rm -rf "$PASSWORD_STORE_DIR"
+mkdir -p "$PASSWORD_STORE_DIR"
+if [[ ! -d $PASSWORD_STORE_DIR ]]; then
+ echo "Could not create $PASSWORD_STORE_DIR"
+ exit 1
+fi
+
+export GIT_DIR="$PASSWORD_STORE_DIR/.git"
+export GIT_WORK_TREE="$PASSWORD_STORE_DIR"
+git config --global user.email "Pass-Automated-Testing-Suite@zx2c4.com"
+git config --global user.name "Pass Automated Testing Suite"
+
+PASS=`which pass`
+if [[ ! -e $PASS ]]; then
+ echo "Could not find pass command"
+ exit 1
+fi
+
+# Note: the assumption is the test key is unencrypted.
+export GNUPGHOME="$TEST_HOME/gnupg/"
+chmod 700 "$GNUPGHOME"
+GPG="gpg"
+which gpg2 &>/dev/null && GPG="gpg2"
+
+# We don't want any currently running agent to conflict.
+unset GPG_AGENT_INFO
+
+KEY1="CF90C77B" # pass test key 1
+KEY2="D774A374" # pass test key 2
+KEY3="EB7D54A8" # pass test key 3
+KEY4="E4691410" # pass test key 4
+KEY5="39E5020C" # pass test key 5